Security Enhanced Linux Reference Policy

# Layer: admin

## Module: usbguard

Tunables Interfaces

### Description:

Usbguard enforces the USB device authorization policy for all USB devices.

### Tunables:

usbguard_user_modify_rule_files

##### Default value

false

##### Description

Determine whether authorized users can control the daemon, which requires usbguard-daemon to be able modify its rules in /etc/usbguard.

Return

### Interfaces:

usbguard_mmap_rw_tmpfs( domain )

##### Summary

mmap and rw usbguard tmpfs files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

usbguard_stream_connect( domain )

##### Summary

Connect to usbguard with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return